import { jsx } from "react/jsx-runtime";
import { TokenBTC as TokenBTC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBTC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BTC", "data-name": "TokenBTC", ...props, children: /* @__PURE__ */ jsx(TokenBTC$1, { variant }) });
  }
);
TokenBTC.displayName = "TokenBTC";
Object.assign(TokenBTC, { isGdsIcon: true });
export {
  TokenBTC
};
